Subject: [STLinux Kernel] [PATCH 06/12] watchdog: bindings: Supply knowledge of a third supported device - clocksource

From: [email-masked] (Lee Jones)
Date: Fri, 8 May 2015 07:49:18 +0100

On Thu, 07 May 2015, Peter Griffin wrote:

> Hi Lee,
> 
> On Thu, 07 May 2015, Lee Jones wrote:
> 
> <snip>
> 
> > > >  Required properties
> > > >  
> > > > -- compatible 	: Must be one of: "st,stih407-lpc" "st,stih416-lpc"
> > > > -				  "st,stih415-lpc" "st,stid127-lpc"
> > > > +- compatible 	: Must be one of: "st,stih407-lpc"
> > > 
> > > The same comment as the RTC DT patch, you are removing the compatibles
> > > documentation for the other supported platforms like stih416-lpc.
> > > AFAIK they are required in the driver to get the correct sysconfig register.
> > 
> > That's intentional.  I haven't yet tested any of this IP on
> > STiH41{5,6} & STiH127.  Due to lack of documentation, I'm not even
> > sure if this IP even exists on some of the other platforms.  I will
> > add them back when support is added to both driver and DTB and I've
> > been able to test them.
> 
> That was kind of my point, the driver code AFAIK already contains support
> for these SoC's.
> 
> I would either expect the patch to remove support from the DT docs AND the
> driver, or leave it as is.
> 
> It seems odd to only change the DT docs, and become unaligned to the
> code (this assumes I'm looking at the latest patchset here 
> https://lkml.org/lkml/2015/3/4/1088 which includes support for these SoCs).

The decision to remove these 'supported' platforms was made on the RTC
side, where there is only support for "st,stih407-lpc" in the driver.
I thought it best to mirror that thought over to the Watchdog LPC
bindings, but thought it not really worth ripping out existing support
from the driver.  If others wish to test/use the Watchdog on other
platforms and can read C code, they'll know what to do.

Hopefully all of this will be a non-issue anyway, as I plan to test
this on the other boards I have in my farm and make the necessary
changes in the upcoming weeks.  All should be squared away by the next
merge-window.

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog